Subject: bug#30697: make eval-expression only take `read'-able Lisp

From: Drew Adams <[email-masked]>
Date: Sun, 4 Mar 2018 14:36:57 -0800 (PST)

> Here is a change to make eval-expression issue a warning in the
> minibuffer when the user enters an unreadable expression.  Currently,
> we just error out, so the user has to restart the command and go back
> in the history to get back what he typed.

I don't see why this is better than what happens now.

We currently have `eval-expression-debug-on-error', which helps
you understand the read or eval error.  And the function is not
necessarily called interactively ("When called interactively...").

What problem is the proposed change trying to solve?